Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.geotiff
Class GeoTiffReader

    java.lang.Object
      org.deegree.io.geotiff.GeoTiffReader

    public class GeoTiffReader

extends Object

`TIFF type :: Java type
TIFF_BYTE :: byte
TIFF_ASCII :: String
TIFF_SHORT :: char
TIFF_LONG :: long
TIFF_RATIONAL :: long[2]
TIFF_SBYTE :: byte
TIFF_UNDEFINED :: byte
TIFF_SSHORT :: short
TIFF_SLONG :: int
TIFF_SRATIONAL :: int[2]
TIFF_FLOAT :: float
TIFF_DOUBLE :: double
`

Since:
Version:
  2.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Axel Schaefer , last edited by: $Author: mschneider $

Field Summary
`(package private) HashMap<Integer,int[]>` | `geoKeyDirectoryTag`
`(package private) boolean` | `hasGeoKeyDirectoryTag`
`(package private) org.apache.batik.ext.awt.image.codec.tiff.TIFFImage` | `image`
`(package private) org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory` | `tifdir`

Constructor Summary
`GeoTiffReader(File file)`

Method Summary
`Envelope` | `getBoundingBox()`
`void` | `getCoordinateSystem()`
`String[]` | `getGeoAsciiParamsTag()` GeoAsciiParamsTag: Tag = 34737 (87B1.H) Type = ASCII Owner: SPOT Image, Inc.
`Object` | `getGeoDoubleParamsTag()` GeoDoubleParamsTag: Tag = 34736 (87BO.H) Type = DOUBLE (IEEE Double precision) N = variable Owner: SPOT Image, Inc.
`int` | `getGeoKeyDirectoryVersion()`
`int` | `getGTModelTypeGeoKey()` Key ID = 1024 Type: SHORT (code) This GeoKey defines the general type of model Coordinate system used, and to which the raster space will be transformed:unknown, Geocentric (rarely used), Geographic, Projected Coordinate System, or user-defined.
`String` | `getHumanReadableCoordinateSystem()`
`String` | `getKeyRevision()`
`int` | `getNumberOfKeysInGeoKeyDirectoryTag()`
`org.apache.batik.ext.awt.image.codec.tiff.TIFFImage` | `getTIFFImage()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    org.apache.batik.ext.awt.image.codec.tiff.TIFFImage image

### tifdir

    org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory tifdir

### geoKeyDirectoryTag

    HashMap<Integer,int[]> geoKeyDirectoryTag

### hasGeoKeyDirectoryTag

    boolean hasGeoKeyDirectoryTag

Constructor Detail

### GeoTiffReader

    public GeoTiffReader(File file)
                  throws FileNotFoundException,
                         IOException,
                         GeoTiffException

Parameters:
  `file` -
Throws:
  `FileNotFoundException`
  `IOException`
  `GeoTiffException`

Method Detail

### getGeoDoubleParamsTag

    public Object getGeoDoubleParamsTag()

  GeoDoubleParamsTag:
  Tag = 34736 (87BO.H)
  Type = DOUBLE (IEEE Double precision)
  N = variable
  Owner: SPOT Image, Inc.

  This tag is used to store all of the DOUBLE valued GeoKeys, referenced by the GeoKeyDirectoryTag. The meaning of any value of this double array is determined from the GeoKeyDirectoryTag reference pointing to it. FLOAT values should first be converted to DOUBLE and stored here.

  Returns:
    null

### getGeoAsciiParamsTag

    public String[] getGeoAsciiParamsTag()

  GeoAsciiParamsTag:
  Tag = 34737 (87B1.H)
  Type = ASCII
  Owner: SPOT Image, Inc.
  N = variable

  This tag is used to store all of the DOUBLE valued GeoKeys, referenced by the GeoKeyDirectoryTag. The meaning of any value of this double array is determined from the GeoKeyDirectoryTag reference pointing to it. FLOAT values should first be converted to DOUBLE and stored here.

  A baseline GeoTIFF-reader must check for and convert the final "|" pipe character of a key back into a NULL before returning it to the client software.

  Returns:
    the fields

### getGeoKeyDirectoryVersion

    public int getGeoKeyDirectoryVersion()
                                  throws GeoTiffException

  Returns:
    fixed 1
  Throws:
    `GeoTiffException`

### getKeyRevision

    public String getKeyRevision()
                          throws GeoTiffException

  Returns:
    the rev
  Throws:
    `GeoTiffException`

### getNumberOfKeysInGeoKeyDirectoryTag

    public int getNumberOfKeysInGeoKeyDirectoryTag()
                                            throws GeoTiffException

  Returns:
    the number
  Throws:
    `GeoTiffException`

### getGTModelTypeGeoKey

    public int getGTModelTypeGeoKey()
                             throws GeoTiffException

  Key ID = 1024
  Type: SHORT (code)

  This GeoKey defines the general type of model Coordinate system used, and to which the raster space will be transformed:unknown, Geocentric (rarely used), Geographic, Projected Coordinate System, or user-defined. If the coordinate system is a PCS, then only the PCS code need be specified. If the coordinate system does not fit into one of the standard registered PCS'S, but it uses one of the standard projections and datums, then its should be documented as a PCS model with "user-defined" type, requiring the specification of projection parameters, etc.

  GeoKey requirements for User-Defined Model Type (not advisable): GTCitationGeoKey

  Returns:
    (0) unknown,
    (1) ModelTypeProjected (Projection Coordinate System),
    (2) ModelTypeGeographic (Geographic latitude-longitude System),
    (3) ModelTypeGeocentric (Geocentric (X,Y,Z) Coordinate System) (rarely used),
    (4?) user-defined
  Throws:
    `GeoTiffException`

### getCoordinateSystem

    public void getCoordinateSystem()
                             throws GeoTiffException

  Throws:
    `GeoTiffException`

### getBoundingBox

    public Envelope getBoundingBox()
                            throws GeoTiffException

  Returns:
    the bbox
  Throws:
    `GeoTiffException`

### getHumanReadableCoordinateSystem

    public String getHumanReadableCoordinateSystem()

  Returns:
    the crs

### getTIFFImage

    public org.apache.batik.ext.awt.image.codec.tiff.TIFFImage getTIFFImage()
                                                                     throws GeoTiffException

  Returns:
    the image
  Throws:
    `GeoTiffException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org